org.apache.xmlbeans.impl.config

## Class PrePostExtensionImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.config.PrePostExtensionImpl

All Implemented Interfaces:
  PrePostExtension

    public class PrePostExtensionImpl
    extends Object
    implements PrePostExtension

### Field Summary

### Fields inherited from interface org.apache.xmlbeans.PrePostExtension

`OPERATION_INSERT, OPERATION_REMOVE, OPERATION_SET`

### Constructor Summary

Constructors
Constructor and Description
`PrePostExtensionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(String fullJavaName)`
`String` `getHandlerNameForJavaSource()` Returns the name of the handler in a form that can be put in a java source.
`NameSet` `getNameSet()`
`String` `getStaticHandler()` Get the fully qualified static handler class name.
`boolean` `hasPostCall()` Returns true if the static handler class has a preSet() method with the following signature: `public static void postSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}
`boolean` `hasPreCall()` Returns true if the static handler class has a preSet() method with the following signature: `public static boolean preSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrePostExtensionImpl

    public PrePostExtensionImpl()

### Method Detail

#### getNameSet

    public NameSet getNameSet()

#### contains

    public boolean contains(String fullJavaName)

#### hasPreCall

    public boolean hasPreCall()

Description copied from interface: `PrePostExtension`
Returns true if the static handler class has a preSet() method with the following signature:
`public static boolean preSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}

Specified by:
  `hasPreCall` in interface `PrePostExtension`

#### hasPostCall

    public boolean hasPostCall()

Description copied from interface: `PrePostExtension`
Returns true if the static handler class has a preSet() method with the following signature:
`public static void postSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int`;}

Specified by:
  `hasPostCall` in interface `PrePostExtension`

#### getStaticHandler

    public String getStaticHandler()

Description copied from interface: `PrePostExtension`
Get the fully qualified static handler class name.

Specified by:
  `getStaticHandler` in interface `PrePostExtension`

#### getHandlerNameForJavaSource

    public String getHandlerNameForJavaSource()

Returns the name of the handler in a form that can be put in a java source.